# Configuration file for the Sphinx documentation builder.
#
# This file only contains a selection of the most common options. For a full
# list see the documentation:
# https://www.sphinx-doc.org/en/master/usage/configuration.html

# -- Path setup --------------------------------------------------------------

# If extensions (or modules to document with autodoc) are in another directory,
# add these directories to sys.path here. If the directory is relative to the
# documentation root, use os.path.abspath to make it absolute, like shown here.
#
# import os
# import sys
# sys.path.insert(0, os.path.abspath('.'))

# -- Doxygen run -------------------------------------------------------------

import subprocess, os
subprocess.call('cd ../build && doxygen ../Doxyfile.in', shell=True)

# -- Project information -----------------------------------------------------

project = 'Graph Extension Specification'
copyright = '2022, Intel Corporation'
author = 'Intel Corporation'

# The full version, including alpha/beta/rc tags
release = '1.0'
version = release

# -- General configuration ---------------------------------------------------
import sphinx_rtd_theme

# Add any Sphinx extension module names here, as strings. They can be
# extensions coming with Sphinx (named 'sphinx.ext.*') or your custom
# ones.
extensions = [
    'breathe',
    'sphinx_rtd_theme'
]

# List of patterns, relative to source directory, that match files and
# directories to ignore when looking for source files.
# This pattern also affects html_static_path and html_extra_path.
exclude_patterns = []

# The project is used to document C++ sources.
highlight_language = 'c++'

# -- Options for HTML output -------------------------------------------------

# The theme to use for HTML and HTML Help pages. See the documentation for
# a list of builtin themes.
#
html_theme = 'sphinx_rtd_theme'

# -- Options for Breathe configuration --------------------------------------
master_doc = 'index'

cpp_id_attributes = [
    "ZE_APICALL"
]
c_id_attributes = cpp_id_attributes

# Breathe plugin is responsible for parsing the XML file generated by the Doxygen.
# It provides the convenient RST directives that allow to embed 
# the read documentation into the Sphinx documentation. You have to update 
# the breathe_projects dictionary.
breathe_projects = {
    "VPU L0"           : "../build/xml",
}

# You have to select the default breathe project before generating documentation.
breathe_default_project = "VPU L0"
